Exhibitors:
    label: Sync Exhibitors
    source_url: /4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    target: App\Entity\TExhibitors
    target-class: App\Entity\TExhibitors
    target-type: entity
    source-id: gle_exhibitorid
    target-id: identifiant
    image-folder: logo-exposants
    filters:
        filter1:
            source: status
            source-type: string
            mandatory: true
            accepted-values: ['Published']
        filter2:
            source: gle_location
            source-type: string
            mandatory: true
#        filter3:
#            source: name
#            source-type: string
#            mandatory: true
#            accepted-values: ['ALPHITAN/ ID REP ELECTRONIC']
    fields:
        field1:
            source: 'gle_exhibitorid'
            source-type: 'string'
            target: 'identifiant'
            target-type: 'string'
        field2:
            source: 'gle_exhibitorid'
            source-type: 'string'
            target: 'vchCode'
            target-type: 'string'
        field3:
            source: 'name'
            source-type: 'string'
            target: 'vchName'
            target-type: 'string'
        field10:
            source: 'gle_location'
            source-type: 'string'
            target: 'THall'
            target-type: 'entity'
            relation: 'create'
            export:
                id: hall
            sub-mapping:
                label: Synch hall
                source_url: ''
                target: App\Entity\THall
                target-class: App\Entity\THall
                target-type: entity
                source-id: ''
                target-id: vchCode
                image-folder: logo-exposants
                filters:
                fields:
                    field11:
                        source: ''
                        source-type: 'string'
                        target: 'vchCode'
                        target-type: 'string'
                    field12:
                        source: ''
                        source-type: 'string'
                        target: 'vchName'
                        target-type: 'string'
                    field13:
                        source: null
                        source-type: 'string'
                        target: 'vchPlan'
                        target-type: 'string'
        field5:
            source: 'gle_nomenclature_31121035'
            source-type: 'array-string'
            target: 'Nomenclature'
            target-type: 'entity'
            relation: 'create-join'
            sub-mapping:
                label: Synch Nomenclature
                source_url: ''
                target: App\Entity\Nomenclature
                target-class: App\Entity\Nomenclature
                target-type: entity
                source-id: ''
                target-id: code
                image-folder: logo-exposants
                filters:
                fields:
                    field6:
                        source: ''
                        source-type: 'string'
                        target: 'code'
                        target-type: 'string'
        field7:
            source: 'description.fr'
            source-type: 'string'
            target: 'vchDesc'
            target-type: 'html'
        field8:
            source: 'logo.url'
            source-type: 'string'
            target: 'logo'
            target-type: 'string-image'
        field9:
            source: 'gle_catphone'
            source-type: 'string'
            target: 'vchTel'
            target-type: 'string'
        field91:
            source: 'gle_catemail'
            source-type: 'string'
            target: 'vchEmail'
            target-type: 'string'
        field92:
            source: 'website'
            source-type: 'string'
            target: 'vchWeb'
            target-type: 'string'
        field93:
            source: 'validFrom'
            source-type: 'string'
            target: 'dtModif'
            target-type: 'datetime|Y-m-dTH:i:s'
        field94:
            source: 'gle_tags'
            source-type: 'array-string'
            target: 'vchNew'
            target-type: 'boolean'
            target-value: 'new'
        field95:
            source: 'gle_tags'
            source-type: 'array-string'
            target: 'vchNovelty'
            target-type: 'boolean'
            target-value: 'eev2_with_innovation'
        field96:
            source: 'gle_country'
            source-type: 'string'
            target: 'vchCountryname'
            target-type: 'string'
        field14:
            source: 'standnumber'
            source-type: 'string'
            target: 'TExhibitionStandI'
            target-type: 'entity'
            relation: 'create-join'
            import:
                id: hall
                target: tHallI
            sub-mapping:
                label: Synch Stand
                source_url: ''
                target: App\Entity\TExhibitionStand
                target-class: App\Entity\TExhibitionStand
                target-type: entity
                source-id: ''
                target-id: vchCode
                image-folder: logo-exposants
                filters:
                fields:
                    field15:
                        source: ''
                        source-type: 'string'
                        target: 'vchCode'
                        target-type: 'string'
                    field16:
                        source: ''
                        source-type: 'string'
                        target: 'vchName'
                        target-type: 'string'
                    field17:
                        source: ''
                        source-type: 'string'
                        target: 'vchOwnerId'
                        target-type: 'string'
                    field18:
                        source: 1
                        source-type: value
                        target: 'startupCount'
                        target-type: string
Conferences:
    label: Sync Conferences
    source_url: /sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    target: App\Entity\TAtelier
    target-class: App\Entity\TAtelier
    target-type: entity
    source-id: id
    target-id: identifiant
    image-folder: logo-atelier
    filters:
        filter1:
            source: status
            source-type: string
            mandatory: true
            accepted-values: [ 'Published' ]
        filter2:
            source: sessionType
            source-type: array-string
            mandatory: true
            accepted-values: 'Onsite'
        filter3:
            source: timeslotView.startDate
            source-type: string
            mandatory: true
            empty: false
        filter4:
            source: timeslotView.endDate
            source-type: string
            mandatory: true
            empty: false
        filter5:
            source: timeslotView.roomName
            source-type: string
            mandatory: true
            empty: false
    fields:
        field1:
            source: id
            source-type: string
            target: identifiant
            target-type: string
        field2:
            source: id
            source-type: string
            target: vchMission
            target-type: string
        field3:
            source: title.fr
            source-type: string
            target: vchTitre
            target-type: string
        field4:
            source: "2023-12-14T11:30:00"
            source-type: value
            target: date
            target-type: 'datetime|Y-m-dTH:i:s'
        field5:
            source: timeslotView.startDate
            source-type: string
            target: dateDebut
            target-type: 'datetime|Y-m-dTH:i:s'
        field6:
            source: timeslotView.endDate
            source-type: string
            target: dateFin
            target-type: 'datetime|Y-m-dTH:i:s'
#        field7:
#            source: title.fr
#            source-type: string
#            target: vchSociete
#            target-type: string
        field14:
            source: timeslotView.roomName
            source-type: 'string'
            target: 'idSalle'
            target-type: 'entity'
            relation: 'create-join'
#            import:
#                id: hall
#                target: tHallI
            sub-mapping:
                label: Synch Salle
                source_url: ''
                target: App\Entity\TSalle
                target-class: App\Entity\TSalle
                target-type: entity
                source-id: ''
                target-id: identifiant
                image-folder: logo-atelier
#                update a false pour ne pas update une salle déja créé ou existe dans la bdd
                update: true
                filters:
                fields:
                    field15:
                        source: ''
                        source-type: 'string'
                        target: identifiant
                        target-type: 'string'
                    field16:
                        source: ''
                        source-type: 'string'
                        target: vchLibelle
                        target-type: 'string'
                    field17:
                        source: ''
                        source-type: 'string'
                        target: vchPavillon
                        target-type: 'string'
                    standField:
                        source: ''
                        source-type: 'string'
                        target: 'TExhibitionStandI'
                        target-type: 'entity'
                        relation: 'create-join'
                        sub-mapping:
                            label: Synch Stand Salle hh
                            source_url: 'hhh'
                            target: App\Entity\TExhibitionStand
                            target-class: App\Entity\TExhibitionStand
                            target-type: entity
                            source-id: ''
                            target-id: vchCode
                            image-folder: logo-exposants
                            filters:
                            fields:
                                field15:
                                    source: ''
                                    source-type: 'string'
                                    target: 'vchCode'
                                    target-type: 'string'
                                field16:
                                    source: ''
                                    source-type: 'string'
                                    target: 'vchName'
                                    target-type: 'string'
                                field17:
                                    source: ''
                                    source-type: 'string'
                                    target: 'vchOwnerId'
                                    target-type: 'string'
                                field18:
                                    source: 1
                                    source-type: value
                                    target: 'startupCount'
                                    target-type: string
